import request from '@/utils/request'

// 查询用户、小区、台账关联报列表
export function listUserCommunityLedger(query) {
  return request({
    url: '/business/userCommunityLedger/list',
    method: 'get',
    params: query
  })
}

// 查询用户、小区、台账关联报详细
export function getUserCommunityLedger(userId) {
  return request({
    url: '/business/userCommunityLedger/' + userId,
    method: 'get'
  })
}

// 新增用户、小区、台账关联报
export function addUserCommunityLedger(data) {
  return request({
    url: '/business/userCommunityLedger',
    method: 'post',
    data: data
  })
}

// 修改用户、小区、台账关联报
export function updateUserCommunityLedger(data) {
  return request({
    url: '/business/userCommunityLedger',
    method: 'put',
    data: data
  })
}

// 删除用户、小区、台账关联报
export function delUserCommunityLedger(userId) {
  return request({
    url: '/business/userCommunityLedger/' + userId,
    method: 'delete'
  })
}
